POST /minimax/v1/t2a_v2
Method: POSTEndpoint: /minimax/v1/t2a_v2
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
<content-type>
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json Required
text
model
string
Required
// provider-specific example normalized for English documentation
text
string
// provider-specific example normalized for English documentation
Required
stream
boolean
Optional
// provider-specific example normalized for English documentation
voice_setting
object
Required
voice_id
string
Required
speed
number
Optional
// provider-specific example normalized for English documentation
vol
number
Optional
// provider-specific example normalized for English documentation
pitch
integer
Optional
// provider-specific example normalized for English documentation
emotion
string
Optional
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
text_normalization
boolean
Optional
// provider-specific example normalized for English documentation
latex_read
boolean
Optional
// provider-specific example normalized for English documentation
pronunciation_dict
object
Optional
tone
array
[string]
Optional
audio_setting
object
Optional
sample_rate
integer
Optional
// provider-specific example normalized for English documentation
bitrate
integer
Optional
// provider-specific example normalized for English documentation
format
string
Optional
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
channel
integer
Optional
// provider-specific example normalized for English documentation
force_cbr
boolean
Optional
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
subtitle_enable
boolean
Optional
stream_options
object
Optional
exclude_aggregated_audio
string
Required
// provider-specific example normalized for English documentation
timber_weights
object
Optional
voice_id
string
Required
weight
integer
Required
// provider-specific example normalized for English documentation
language_boost
string
Optional
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
voice_modify
object
Optional
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
pitch
integer
Optional
// provider-specific example normalized for English documentation
intensity
integer
Optional
// provider-specific example normalized for English documentation
timbre
integer
Optional
// provider-specific example normalized for English documentation
sound_effects
string
Optional
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
subtitle_enable
boolean
Optional
// provider-specific example normalized for English documentation
output_format
string
Optional
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
aigc_watermark
boolean
Optional
// provider-specific example normalized for English documentation
Example
{
"model"
:
"speech-2.6-hd"
,
"text"
:
// provider-specific example normalized for English documentation
,
"stream"
:
false
,
"voice_setting"
:
{
"voice_id"
:
"male-qn-qingse"
,
"speed"
:
1
,
"vol"
:
1
,
"pitch"
:
0
,
"emotion"
:
"happy"
}
,
"pronunciation_dict"
:
{
"tone"
:
[
// provider-specific example normalized for English documentation
,
"dangerous"
]
}
,
"audio_setting"
:
{
"sample_rate"
:
32000
,
"bitrate"
:
128000
,
"format"
:
"mp3"
,
"channel"
:
1
}
,
"subtitle_enable"
:
false
}Example Request
Shell
bash
curl --location --request POST '/minimax/v1/t2a_v2' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: <content-type>' \
--data-raw '{
"model": "speech-2.6-hd",
// provider-specific example normalized for English documentation
"stream": false,
"voice_setting": {
"voice_id": "male-qn-qingse",
"speed": 1,
"vol": 1,
"pitch": 0,
"emotion": "happy"
},
"pronunciation_dict": {
"tone": [
// provider-specific example normalized for English documentation
"dangerous"
]
},
"audio_setting": {
"sample_rate": 32000,
"bitrate": 128000,
"format": "mp3",
"channel": 1
},
"subtitle_enable": false
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
data
object
Optional
// provider-specific example normalized for English documentation
audio
string
Optional
// provider-specific example normalized for English documentation
status
integer
Optional
// provider-specific example normalized for English documentation
subtitle_file
string
Optional
// provider-specific example normalized for English documentation
extra_info
object
Optional
audio_length
integer
// provider-specific example normalized for English documentation
Optional
audio_sample_rate
integer
// provider-specific example normalized for English documentation
Optional
audio_size
integer
Optional
// provider-specific example normalized for English documentation
bitrate
integer
// provider-specific example normalized for English documentation
Optional
word_count
integer
Optional
// provider-specific example normalized for English documentation
invisible_character_ratio
integer
Optional
// provider-specific example normalized for English documentation
usage_characters
integer
// provider-specific example normalized for English documentation
Optional
audio_format
string
Optional
// provider-specific example normalized for English documentation
audio_channel
integer
Optional
// provider-specific example normalized for English documentation
trace_id
string
Optional
base_resp
object
Optional
status_code
integer
Required
Status Code。
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
1004: authentication failed
1039: TPM rate limit triggered
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
status_msg
string
Status Details
RequiredExample
json
{
"data": {
// provider-specific example normalized for English documentation
"status": 2
},
"extra_info": {
"audio_length": 9900,
"audio_sample_rate": 32000,
"audio_size": 160323,
"bitrate": 128000,
"word_count": 52,
"invisible_character_ratio": 0,
"usage_characters": 26,
"audio_format": "mp3",
"audio_channel": 1
},
"trace_id": "01b8bf9bb7433cc75c18eee6cfa8fe21",
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}